package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.BatchImportOrginzationReq;
import com.abi.qms.platform.service.BaseSapOrginzationService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: fangxinjian
 * @date: 2021/06/01 15:57
 * @description:
 */
@Slf4j
@RestController
@RequestMapping("sap")
@Api(tags = "sap导入数据")
public class BaseSapImportController {

    @Autowired
    private BaseSapOrginzationService baseSapOrginzationService;


    @ApiOperation("批量导入组织架构数据")
    @PostMapping("batchImportOrginzation")
    public BaseResponse batchImportOrginzation(@RequestBody BatchImportOrginzationReq batchImportOrginzationReq) throws Exception {

        baseSapOrginzationService.batchImportOrginzation(batchImportOrginzationReq);
        //包装出参
        return BaseResponse.create();
    }
}
